Description

Related issues:

Related to User Interface - Feature #6495: add equivalent support for the und... New

History

#1 - 06/06/2022 12:18 PM - Greg Shah

-ucc

No INPUT error when using UTF-8 and -ucc parameter on TTY Client

Mentioned in the service pack readme at https://knowledgebase.progress.com/sfc/servlet.shepherd/document/download/0694Q000009jwPIQAY.    

-utf8intatchar

This is used to resolve the issue DISPLAY integer @ variable displays a blank value with the UTF-8 client in OpenEdge 10.2B. More info at 

https://knowledgebase.progress.com/articles/Article/000052470.

#4 - 06/08/2022 09:53 PM - Greg Shah

Customer description of this feature (from the customer for which Progress developed the feature):

The utf8intatchar was supplied by Progress to address an issue with integer fields being displayed in character form fields.  It was a bug in some

versions of OE10.  The probem no longer exists in OE11 and 12.  The -ucc parameter and -sbhelp were both added in March 2008 to fix an

issue with unicode databases.  I highly doubt that we need any support for this

 

If FWD does not have issues with this, then we will drop this implementation requirement.

#6 - 08/03/2023 11:17 AM - Greg Shah
If this support requires "wide character" support in ncurses, then we may need some changes to ensure our support matches it.  I don't think we have

tested ChUI with the wide character ncurses libraries, we've only used the single-byte charset versions.

#7 - 02/01/2024 12:43 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

#8 - 02/02/2024 09:37 AM - Robert Jensen

The sbhelp is actually pretty important to us. It allows for processing of the Help function keys (F16 to F20 in our case) when a "Press spacebar to

continue" prompt is on the screen. Actually any pause. This is used extensively by <customer_name>.

We use the "Help" request to walk the screen widgets and send the current screen as XML up to a web server, which also happens to be running the

character screen.

In our system, the user (.Net application on a PC) talks to the Web Server. The Web Server runs a character client. It enters the data sent by the user

to the character screen, followed by the appropriate "help" request.  The help trigger causes the backend to send XMscreen XML up to the

webserver. This XML is then sent back to the client. "pauses" on the back end cause significant delays.

#9 - 02/05/2024 08:34 AM - Greg Shah

- Related to Feature #6495: add equivalent support for the undocumented -sbhelp command line option added
